Xalan-Java 2.7.1: Class ForwardPositionIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class ForwardPositionIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.ForwardPositionIterator

Deprecated. This class exists only for backwards compatibility with old translets. New code should not reference it.

public final class ForwardPositionIterator
extends DTMAxisIteratorBase

This iterator is a wrapper that always returns the position of a node in document order. It is needed for the case where a call to position() occurs in the context of an XSLT element such as xsl:for-each, xsl:apply-templates, etc. The getPosition() methods in DTMAxisIterators defined in DTMDefaultBaseIterators always return the position in document order, which is backwards for XPath in the case of the ancestor, ancestor-or-self, previous and previous-sibling. XSLTC implements position() with the BasisLibrary.positionF() method, and uses the DTMAxisIterator.isReverse() method to determine whether the result of getPosition() should be interpreted as being equal to position(). But when the expression appears in apply-templates of for-each, the position() function operates in document order. The only effect of the ForwardPositionIterator is to force the result of isReverse() to false, so that BasisLibrary.positionF() calculates position() in a way that's consistent with the context in which the iterator is being used." (Apparently the correction of isReverse() occurs implicitly, by inheritance. This class also appears to maintain its own position counter, which seems redundant.)

Constructor Summary
`ForwardPositionIterator(DTMAxisIterator source)` Deprecated.

Method Summary
`DTMAxisIterator` | `cloneIterator()` Deprecated.
`void` | `gotoMark()` Deprecated.
`int` | `next()` Deprecated.
`DTMAxisIterator` | `reset()` Deprecated.
`void` | `setMark()` Deprecated.
`DTMAxisIterator` | `setStartNode(int node)` Deprecated.

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardPositionIterator

    public ForwardPositionIterator(DTMAxisIterator source)

  Deprecated.

Method Detail

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Deprecated.
  Overrides:
    cloneIterator in class DTMAxisIteratorBase

### next

    public int next()

  Deprecated.

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Deprecated.

### reset

    public DTMAxisIterator reset()

  Deprecated.
  Overrides:
    reset in class DTMAxisIteratorBase

### setMark

    public void setMark()

  Deprecated.

### gotoMark

    public void gotoMark()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.